# echoprivmsg

Outputs text to a KVIrc window

Usage

    echoprivmsg [switches] <nick> <user> <host> <text>

Description

Outputs a <text> to the current window in the privmsg format.
The <nick> <user> and <host> parameters are formatted as specified by the user preferences (for example the nick may use smart colorisation). If you don't know the username and host then just use '*' for that parameters. The message will also get the highlighting rules applied. If the 'w' switch is present, outputs <text> to the specified window instead of the current one. The <window_id> parameter is the global id of the window that has to be used.
Please note that this is not the same as the standard -r rebinding switch: -w causes the specified window to be used only for output, but the command parameters are evaluated in the current window.
If the 'i' switch is given , it uses the specified icon scheme (icon and colors) , otherwise it uses the default one (0).
If the -n switch is present then the highlighting rules are not applied.
If the -x switch is present then the message will never cause the notifier window to be popped up.
If the -f switch is present then the message will never cause the system taskbar to flash.
Actually -x and -f have a sense only if highlighting is used and thus -n is not present.
For more information about the icon/color schemes see $msgtype. The KVIrc view widgets support clickable sockets that can be realized by using special escape sequences.

Switches

-p[=<nick_prefix>] | --prefix[=<prefix>]
The message is printed with the specified custom nickname prefix. If <nick_prefix> is omitted then an empty string is assumed.
-s[=<nick_suffix>] | --suffix[=<nicksuffix>]
The message is printed with the specified custom nickname suffix. If <nick_suffix> is omitted then an empty string is assumed.
-w=<window_id> | --window=<window_id>
The message is printed to the window specified by window_id
-i=<color_set> | --color-set=<color_set>
Causes the message to use the specified icon scheme (icon and colors).
-n | --no-highlighting
Do not apply the highlighting rules
-x | --no-notifier
Never cause the notifier window to pop up
-f | --no-flashing
Never cause the window taskbar entry to flash (this works only on some platforms)

Syntax Specification

    echoprivmsg [switches] <nick:string> <user:string> <host:string> <text:string>

Examples

    echoprivmsg Test * * This is a test message
    echoprivmsg -i=$msgtype(ChanPrivmsgCrypted) Pragma pragma staff.kvirc.net Hi people! :)

See also
$window, $window.caption, $msgtype, echo, window naming conventions

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011